curl -g "https://YOUR_PROJECT.texterchat.com/server/api/v2/whatsapp/templates/unsubscribed?limit=100" \
-H "Authorization: Bearer YOUR_API_TOKEN"
[
{
"title": "Eli Cohen",
"phone": "+972549431678"
},
{
"phone": "+972534226703"
},
{
"title": "Texter Support",
"phone": "+972555026806"
}
]{
"error": "data/limit must match pattern \"^[1-9][0-9]{0,3}$\""
}Templates Subscriptions
List All Unsubscribed Users
Retrieve every unsubscribed recipient across all your WhatsApp channel accounts. If you only want unsubscribed recipients of a specific channel, use Unsubscribed from Specific Account instead.
GET
https://{projectID}.texterchat.com/server/api/v2
/
whatsapp
/
templates
/
unsubscribed
curl -g "https://YOUR_PROJECT.texterchat.com/server/api/v2/whatsapp/templates/unsubscribed?limit=100" \
-H "Authorization: Bearer YOUR_API_TOKEN"
[
{
"title": "Eli Cohen",
"phone": "+972549431678"
},
{
"phone": "+972534226703"
},
{
"title": "Texter Support",
"phone": "+972555026806"
}
]{
"error": "data/limit must match pattern \"^[1-9][0-9]{0,3}$\""
}Required token scopes:
List all chatsהרשאות
API token generated in Texter: gear icon → Developers → API Tokens. When creating a token, assign it the scopes required by the endpoints you plan to call - each endpoint lists its required scopes.
פרמטרי שאילתה
The maximum number of results to return (1-9999). Defaults to 10000
Pattern:
^[1-9][0-9]{0,3}$The number of results to skip before starting to return records (0-99999)
Pattern:
^[0-9]{1,5}$